Skip to main content
POST
Upload a voice note

Authorizations

X-Api-Key
string
header
required

Your secret ReachBoost API key.

Path Parameters

workspace_uuid
string<uuid>
required

Your unique workspace identifier.

Example:

"YOUR_WORKSPACE_UUID"

campaign_uuid
string<uuid>
required

The unique identifier for the campaign.

Example:

"YOUR_CAMPAIGN_UUID"

Body

application/json
audio_base64
string
required

The audio file, base64 encoded. At most 12 MB once decoded.

filename
string
required

The file name, such as intro.m4a.

start_ms
integer

Where the part to keep starts, in milliseconds.

Required range: x >= 0
end_ms
integer

Where the part to keep ends, in milliseconds.

Required range: x >= 1

Response

The uploaded voice note

voice_note_id
string
required

Set this as settings.voice_note_id on the voice_note step.

duration_ms
integer
required
byte_size
integer
content_type
string